Subject: Re: [Netconf] WGLC on zerotouch draft

From: Mahesh Jethanandani <[email-masked]>
Date: Tue, 11 Sep 2018 17:50:52 -0700

I do not see any e-mail or updates in the document that reflect what was finally agreed upon for this issue raised.

> On Nov 13, 2017, at 6:57 AM, Martin Bjorklund <[email-masked]> wrote:
> 
>>> 
>>> o  Section 5.1, item 1
>>> 
>>> Add reference to the new module ietf-zerotouch-device, maybe tweak
>>> the text?
>> 
>> I put the reference to the module up a level (Section 5) as the module
>> applies to more than just item 1.  Regarding tweaking the text, do you
>> have a suggestion?
> 
> The text has guidelines for how a vendor should define a
> "enable zerotouch" variable.  Maybe replace the text with a reference
> to the standard module instead.

Mahesh Jethanandani
[email-masked]

---

From: Kent Watsen <[email-masked]>
Date: Wed, 12 Sep 2018 15:01:45 +0000

Hi Mahesh,

This is the issue that ultimately led to the creation of non-normative device model in Appendix A, which you can see includes a leaf node called "enabled".  Also note this sentence at the end of Section 5.1: "A YANG module representing this data is provided in Appendix A."

Separately, please be advised that, in addition to adding a ref to RFC 6187, per your request, Ian, my co-author, just noticed a bug in Section 8 (s/uri-length: variable, in octets/uri-length: 2 octets long, specifies the length of the URI data) and, also, I received a private email this morning noting that the term "bootstrapping information" is being used in places, where it should be either "bootstrapping data" or "zerotouch information".   I'd like to clean up these editorial issues now and post -25 (today) - okay?

Thanks,
Kent // contributor

On 9/11/18, 8:50 PM, "Mahesh Jethanandani" <[email-masked]<mailto:[email-masked]>> wrote:

On Nov 13, 2017, at 6:57 AM, Martin Bjorklund <[email-masked]<mailto:[email-masked]>> wrote:

o  Section 5.1, item 1

Mahesh Jethanandani
[email-masked]<mailto:[email-masked]>

---

From: Mahesh Jethanandani <[email-masked]>
Date: Wed, 12 Sep 2018 09:47:18 -0700

Hi Kent,

> On Sep 12, 2018, at 8:01 AM, Kent Watsen <[email-masked]> wrote:
> 
> Hi Mahesh,
>  
> This is the issue that ultimately led to the creation of non-normative device model in Appendix A, which you can see includes a leaf node called "enabled".  Also note this sentence at the end of Section 5.1: "A YANG module representing this data is provided in Appendix A.”

Thanks for the clarification.

> Separately, please be advised that, in addition to adding a ref to RFC 6187, per your request, Ian, my co-author, just noticed a bug in Section 8 (s/uri-length: variable, in octets/uri-length: 2 oc…

Sounds good.

Cheers.

>  
> Thanks,
> Kent // contributor
>  
>  
> On 9/11/18, 8:50 PM, "Mahesh Jethanandani" <[email-masked] <mailto:[email-masked]>> wrote:
>  
>  
>> On Nov 13, 2017, at 6:57 AM, Martin Bjorklund <[email-masked] <mailto:[email-masked]>> wrote:
>>  
>>>> 
>>>> o  Section 5.1, item 1
>>>> 
> [email-masked] <mailto:[email-masked]>